<?php

declare(strict_types=1);

namespace Drupal\Tests\acquia_search\Unit;

use Drupal\acquia_search\Helper\Runtime;
use Drupal\Core\Config\Config;
use Drupal\Core\Config\ConfigFactoryInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\search_api\ServerInterface;

/**
 * Tests the Runtime class.
 *
 * @group acquia_search
 * @coversDefaultClass \Drupal\acquia_search\Helper\Runtime
 */
final class RuntimeTest extends AcquiaSearchTestCase {

  /**
   * Tests isAcquiaServer.
   *
   * @testWith ["standard", false]
   *           ["solr_acquia_connector", true]
   */
  public function testIsAcquiaServer(string $connector, bool $expected): void {
    $server = $this->createMock(ServerInterface::class);
    $server->expects($this->once())
      ->method('getBackendConfig')
      ->willReturn([
        'connector' => $connector,
      ]);
    self::assertEquals($expected, Runtime::isAcquiaServer($server));
  }

}
